Bug 174389 - hardcoded X paths
hardcoded X paths
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE5Target
  Show dependency treegraph
 
Reported: 2005-11-28 14:08 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.12.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 09:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-11-28 14:08:44 EST
config.py hardcodes /usr/X11R6/bin as path to Xnest. But Xnest no longer lives
there...
Comment 1 Matthias Clasen 2005-11-28 15:04:39 EST
Also, SESSION_ARGV is pointing to the wrong file, it is now
/etc/X11/xinit/Xsession
Comment 2 Mikko Huhtala 2006-03-09 03:31:50 EST
[ Accidentally posted this to bug 174388, when I meant to post here. Very sorry. ]

It still does not work. I updated the system and now have

xorg-x11-server-Xnest-1.0.1-8
sabayon-2.12.3-2
sabayon-admin-2.12.3-2

When trying to edit a profile, the Xnest window comes up, but stays black. In the
terminal, I get

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/sabayon/sessionwindow.py", line 288, in
__session_mapped
    self.session.start (str (self.session_widget.session_window.xid))
  File "/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 474, in
start
    self.__start_session ()
  File "/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 454, in
__start_session
    os.execve (SESSION_ARGV[0], SESSION_ARGV, new_environ)
OSError: [Errno 2] No such file or directory
Xlib: unexpected async reply (sequence 0x23a)!

Comment 3 Alexander Larsson 2006-03-10 04:31:22 EST
try again with 2.12.3-3

Note You need to log in before you can comment on or make changes to this bug.